Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032724
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2016-04-20 10:442016-06-17 19:37
ReporterJONHMView Statuspublic 
Assigned Tomarkmm82 
PriorityhighResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revisiona509008e0769
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032724: Change ISO code from GHC to GHS

DescriptionCurrency from Ghanaian cedi has changed its ISO code since 2007 from "GHC" to "GHS", and some modules do not recognize this old ISO code
Steps To Reproduce1) Install "Conversion Rate Download" module
2) Create a currency conversion between "GHC" and "EUR", for example
3) Process do not work
Proposed SolutionUpdate the ISO code from GHC to GHS in Core, as this module depends on "Yahoo Finance" database, the ISO code for Ghanaian cedi has changed since 2007 and do not recognize the old one.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032933 closedmarkmm82 Change Taiwan(Province of China) to Taiwan (R.O.C) in master data 
related to defect 0041206 scheduledcollazoandy4 some currencies in master dataset are not properly configured. 

-  Notes
(0086005)
markmm82 (developer)
2016-04-27 05:06

Test plan:
1) Install "Conversion Rate Download" module
2) Create a currency conversion between "GHS" and "EUR", for example
3) Process works fine.
(0086115)
hgbot (developer)
2016-05-02 12:30

Repository: erp/devel/pi
Changeset: a509008e076997aac5bc315d516ea6cd1adc0459
Author: Mark <m.molina <at> nectus.com>
Date: Mon Apr 25 21:23:33 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/a509008e076997aac5bc315d516ea6cd1adc0459 [^]

Fixes issue 32724: Changed ISO code from GHC to GHS
Was changed Currency ISO code from "GHC" to "GHS", as some modules do not recognize this old ISO code.

---
M src-db/database/sourcedata/referencedData/C_CURRENCY.xml
---
(0086116)
aferraz (developer)
2016-05-02 12:31

Code review + Testing OK
(0086117)
aferraz (developer)
2016-05-02 12:34

New iso code will take effect when doing an install.source.
(0087506)
hudsonbot (developer)
2016-06-17 19:37

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-04-20 10:44 JONHM New Issue
2016-04-20 10:44 JONHM Assigned To => Triage Finance
2016-04-20 10:44 JONHM Modules => Core
2016-04-20 10:44 JONHM Triggers an Emergency Pack => No
2016-04-20 17:23 aferraz Assigned To Triage Finance => markmm82
2016-04-26 13:39 markmm82 Status new => scheduled
2016-04-27 05:06 markmm82 Note Added: 0086005
2016-05-02 12:30 hgbot Checkin
2016-05-02 12:30 hgbot Note Added: 0086115
2016-05-02 12:30 hgbot Status scheduled => resolved
2016-05-02 12:30 hgbot Resolution open => fixed
2016-05-02 12:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a509008e076997aac5bc315d516ea6cd1adc0459 [^]
2016-05-02 12:31 aferraz Review Assigned To => aferraz
2016-05-02 12:31 aferraz Note Added: 0086116
2016-05-02 12:31 aferraz Status resolved => closed
2016-05-02 12:31 aferraz Fixed in Version => 3.0PR16Q3
2016-05-02 12:34 aferraz Note Added: 0086117
2016-05-12 15:08 aferraz Relationship added related to 0032933
2016-06-17 19:37 hudsonbot Checkin
2016-06-17 19:37 hudsonbot Note Added: 0087506
2019-08-12 14:49 Sandrahuguet Relationship added related to 0041206


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker